Holger's Java API

## com.antelmann.calendar
Class CalendarException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.util.FormatException
                  com.antelmann.calendar.CalendarException

All Implemented Interfaces:
  Serializable

    public class CalendarException

extends FormatException

indicates an inconsistency in the calendar database

Author:
  Holger Antelmann
See Also:
  `CalendarDB`, Serialized Form

Constructor Summary
`CalendarException(String message)`
`CalendarException(String message, Throwable cause)`
`CalendarException(Throwable cause)`

Method Summary

Methods inherited from class com.antelmann.util.FormatException
`getFormattedContent, setFormattedContent`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarException

    public CalendarException(Throwable cause)

### CalendarException

    public CalendarException(String message,
                             Throwable cause)

### CalendarException

    public CalendarException(String message)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads